Bug 7211 - Plasma 5 R8 ISOs
: Plasma 5 R8 ISOs
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-14 08:43 MSD by Andrey Bondrov
Modified: 2016-08-19 16:11 MSD (History)
3 users (show)

See Also:
RPM Package: various
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
стиль программ GNOME (125.37 KB, image/png)
2016-07-14 10:18 MSD, Vladimir Potapov
Details
ss (21.21 KB, image/png)
2016-07-14 10:39 MSD, Vladimir Potapov
Details
ss3 (71.19 KB, image/png)
2016-07-14 10:47 MSD, Vladimir Potapov
Details
ss (74.50 KB, image/png)
2016-07-14 12:16 MSD, Vladimir Potapov
Details
ss4 (108.97 KB, image/png)
2016-07-14 13:58 MSD, Vladimir Potapov
Details
ss5 (147.66 KB, image/png)
2016-07-16 17:47 MSD, Vladimir Potapov
Details
log (10.09 KB, text/x-log)
2016-07-18 10:37 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-07-14 08:43:23 MSD
We need to release Plasma 5 R8 ISOs.
Comment 2 Vladimir Potapov 2016-07-14 10:09:18 MSD
ARK don't show russian filenames in archives
http://bugs.rosalinux.ru/attachment.cgi?id=4375
http://bugs.rosalinux.ru/attachment.cgi?id=4376
Comment 3 Vladimir Potapov 2016-07-14 10:18:39 MSD
Created attachment 4500 [details]
стиль программ GNOME

GTK style - oxygen-gtk (rosa-elementary!)
Show icons on buttons - enabled (disabled!)
Comment 4 Vladimir Potapov 2016-07-14 10:20:36 MSD
switch to russian don't work on my wireless keyboard in live (KDE4  - work in live, don't work after install)
Comment 5 Vladimir Potapov 2016-07-14 10:27:34 MSD
XFdrake and other GTK applications windows open not center by default
Comment 6 Vladimir Potapov 2016-07-14 10:39:53 MSD
Created attachment 4501 [details]
ss

Mozilla Thunderbird unlocalized in menu
Comment 7 Vladimir Potapov 2016-07-14 10:47:30 MSD
Created attachment 4502 [details]
ss3

For install by live installer i see plasma error.
Comment 8 Vladimir Potapov 2016-07-14 11:08:29 MSD
in logs

avahi-daemon[4167]: chroot.c: open() failed: No such file or directory


kernel: xembedsniproxy[6250]: segfault at 0 ip 000000000040b6c0 sp 00007ffdf5605818 error 4 in xembedsniproxy[400000+12000]
Comment 9 Vladimir Potapov 2016-07-14 11:11:19 MSD
похоже, lib64usb1.0_0  не долетел до репозиториев.
Comment 10 Vladimir Potapov 2016-07-14 11:20:04 MSD
Как залочить экран? Значка нигде нету.
Comment 11 Vladimir Potapov 2016-07-14 11:22:02 MSD
(In reply to comment #10)
> Как залочить экран? Значка нигде нету.
Предлагаю добавить желтый замок как в KDE4 справа от часов (без красной кнопки)
Comment 12 Vladimir Potapov 2016-07-14 11:23:55 MSD
(In reply to comment #11)
> (In reply to comment #10)
> > Как залочить экран? Значка нигде нету.
> Предлагаю добавить желтый замок как в KDE4 справа от часов (без красной
> кнопки)
ну, или в меню добавить. Горячих клавиш-то тоже нету.
Comment 13 Vladimir Potapov 2016-07-14 12:15:22 MSD
Поставил скайп. Свернул в лоток. А значка-то и нету!
Comment 14 Vladimir Potapov 2016-07-14 12:16:45 MSD
Created attachment 4503 [details]
ss

скрипт firstboot.sh так и не удалился после первой перезагрузки
Comment 15 Andrey Bondrov 2016-07-14 12:17:35 MSD
(In reply to comment #9)
> похоже, lib64usb1.0_0  не долетел до репозиториев.

http://abf-downloads.rosalinux.ru/rosa2014.1/repository/x86_64/main/updates/lib64usb1.0_0-1.0.18-3-rosa2014.1.x86_64.rpm
Comment 16 Vladimir Potapov 2016-07-14 12:19:52 MSD
(In reply to comment #15)
> (In reply to comment #9)
> > похоже, lib64usb1.0_0  не долетел до репозиториев.
> 
> http://abf-downloads.rosalinux.ru/rosa2014.1/repository/x86_64/main/updates/
> lib64usb1.0_0-1.0.18-3-rosa2014.1.x86_64.rpm
почему-то в обновлениях к образу прилетел.
Comment 17 Andrey Bondrov 2016-07-14 12:22:13 MSD
(In reply to comment #11)
> (In reply to comment #10)
> > Как залочить экран? Значка нигде нету.

Меню -> Завершение работы -> Заблокировать

> Предлагаю добавить желтый замок как в KDE4 справа от часов (без красной
> кнопки)

Разве что в меню рядом с выключением питания и перезагрузкой вместо завершения сеанса (но и то не уверен, что это надо). Место на панели надо ценить.
Comment 18 Andrey Bondrov 2016-07-14 12:22:33 MSD
(In reply to comment #16)
> > http://abf-downloads.rosalinux.ru/rosa2014.1/repository/x86_64/main/updates/
> > lib64usb1.0_0-1.0.18-3-rosa2014.1.x86_64.rpm
> почему-то в обновлениях к образу прилетел.

Потому что ты не самый новый образ взял.
Comment 19 Andrey Bondrov 2016-07-14 12:35:53 MSD
(In reply to comment #14)
> Created attachment 4503 [details]
> ss
> 
> скрипт firstboot.sh так и не удалился после первой перезагрузки

А посмотри, где он лежит в домашнем каталоге?
Comment 20 Vladimir Potapov 2016-07-14 12:48:38 MSD
(In reply to comment #19)
> (In reply to comment #14)
> > Created attachment 4503 [details]
> > ss
> > 
> > скрипт firstboot.sh так и не удалился после первой перезагрузки
> 
> А посмотри, где он лежит в домашнем каталоге?
~/.config/autostart-scripts
Comment 21 Vladimir Potapov 2016-07-14 13:07:06 MSD
kamoso в образе нету
Comment 22 Vladimir Potapov 2016-07-14 13:07:55 MSD
(In reply to comment #17)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > Как залочить экран? Значка нигде нету.
> 
> Меню -> Завершение работы -> Заблокировать
> 
> > Предлагаю добавить желтый замок как в KDE4 справа от часов (без красной
> > кнопки)
> 
> Разве что в меню рядом с выключением питания и перезагрузкой вместо
> завершения сеанса (но и то не уверен, что это надо). Место на панели надо
> ценить.
Вместо завершения не надо. Хотя бы хоткей добавить...
Comment 23 Andrey Bondrov 2016-07-14 13:32:05 MSD
(In reply to comment #22)
> Вместо завершения не надо. Хотя бы хоткей добавить...

Ctrl + Alt + L и так же вроде есть?
Comment 24 Vladimir Potapov 2016-07-14 13:58:33 MSD
Created attachment 4504 [details]
ss4

А так вот реагирует на попытку добавить сетевую папку. При положительном ответе работает
Comment 25 Vladimir Potapov 2016-07-14 13:59:38 MSD
(In reply to comment #23)
> (In reply to comment #22)
> > Вместо завершения не надо. Хотя бы хоткей добавить...
> 
> Ctrl + Alt + L и так же вроде есть?
Win+L бы.
Comment 26 Vladimir Potapov 2016-07-14 14:12:17 MSD
Работа с FTP не доделано совершенно. В добавок к вышеуказанному
1) mkv с FTP не играется
2) при сохранении LO файлов на ftp дополнительный диалог переписи файла
Comment 27 Vladimir Potapov 2016-07-14 15:00:54 MSD
В панели управления значок для XFdrake не совпадает с менюшным (в поиске есть)
Comment 28 Andrey Bondrov 2016-07-14 16:38:10 MSD
(In reply to comment #2)
> ARK don't show russian filenames in archives
> http://bugs.rosalinux.ru/attachment.cgi?id=4375
> http://bugs.rosalinux.ru/attachment.cgi?id=4376

Advisory: "Add natspec support to p7zip"

https://abf.rosalinux.ru/build_lists/2692401
https://abf.rosalinux.ru/build_lists/2692402
Comment 29 Andrey Bondrov 2016-07-14 16:42:35 MSD
(In reply to comment #27)
> В панели управления значок для XFdrake не совпадает с менюшным (в поиске
> есть)

Для значков надо будет потом вообще полную ревизию иконок делать. Они все должны браться из темы (хотя бы hicolor). Это уже после релиза.
Comment 30 Andrey Bondrov 2016-07-14 16:49:36 MSD
(In reply to comment #25)
> (In reply to comment #23)
> > (In reply to comment #22)
> > > Вместо завершения не надо. Хотя бы хоткей добавить...
> > 
> > Ctrl + Alt + L и так же вроде есть?
> Win+L бы.

Уже после релиза сделаем, наверное. Там долго пакет патчить и собирать, не очень располагает к экспериментам сейчас.
Comment 31 Vladimir Potapov 2016-07-14 17:03:39 MSD
(In reply to comment #29)
> (In reply to comment #27)
> > В панели управления значок для XFdrake не совпадает с менюшным (в поиске
> > есть)
> 
> Для значков надо будет потом вообще полную ревизию иконок делать. Они все
> должны браться из темы (хотя бы hicolor). Это уже после релиза.
ну, конкретно эту штуку патчил Андрей Пономаренко и для KDE4 - там тоже так было.
Comment 32 Vladimir Potapov 2016-07-14 20:00:37 MSD
При вставке DVD-диска не предлагает его копировать-играть, только открыть в дельфине
Comment 33 Vladimir Potapov 2016-07-14 20:15:02 MSD
(In reply to comment #32)
> При вставке DVD-диска не предлагает его копировать-играть, только открыть в
> дельфине

надо совместить старый /usr/share/apps/solid/actions и новый /usr/share/solid/actions. Видимо, симлинкой.
Comment 34 Vladimir Potapov 2016-07-14 20:56:12 MSD
Нет USB-форматера с GUI
Comment 35 Vladimir Potapov 2016-07-14 21:11:08 MSD
(In reply to comment #34)
> Нет USB-форматера с GUI
Поставил стандартный наш quick-usb-formatter, он вполне работает в пятой плазме.
Правда, версию бы обновить (в SUSE 0.6 с поддержкой exFAT) ну и акции повесить, а то на флэшку не откроется.
Comment 36 Andrey Bondrov 2016-07-14 22:07:00 MSD
(In reply to comment #35)
> (In reply to comment #34)
> > Нет USB-форматера с GUI
> Поставил стандартный наш quick-usb-formatter, он вполне работает в пятой
> плазме.
> Правда, версию бы обновить (в SUSE 0.6 с поддержкой exFAT) ну и акции
> повесить, а то на флэшку не откроется.

Advisory: "Update quick-usb-formatter to new version 0.6. Add support for Plasma 5 (device actions)"

https://abf.rosalinux.ru/build_lists/2692431
https://abf.rosalinux.ru/build_lists/2692432

Advisory: "Add support for Plasma 5 (device actions) to ROMP"

https://abf.rosalinux.ru/build_lists/2692433
https://abf.rosalinux.ru/build_lists/2692434
Comment 37 Vladimir Potapov 2016-07-15 08:21:10 MSD
> Advisory: "Update quick-usb-formatter to new version 0.6. Add support for
> Plasma 5 (device actions)"
> 
> https://abf.rosalinux.ru/build_lists/2692431
> https://abf.rosalinux.ru/build_lists/2692432
1) Нужно добавить в зависимости f2fs-tools и перенести его в main
2) В всплывающем меню акций светится "USB Format". Должно быть "Форматирование USB"
Comment 38 Vladimir Potapov 2016-07-15 09:01:27 MSD
(In reply to comment #36)

> Advisory: "Add support for Plasma 5 (device actions) to ROMP"
> 
> https://abf.rosalinux.ru/build_lists/2692433
> https://abf.rosalinux.ru/build_lists/2692434
****************************
QA Verified
Comment 39 Andrey Bondrov 2016-07-15 11:48:15 MSD
(In reply to comment #37)
> 1) Нужно добавить в зависимости f2fs-tools и перенести его в main
> 2) В всплывающем меню акций светится "USB Format". Должно быть
> "Форматирование USB"

Advisory: "Update quick-usb-formatter to new version 0.6. Add support for Plasma 5 (device actions)"

https://abf.rosalinux.ru/build_lists/2692443
https://abf.rosalinux.ru/build_lists/2692444
Comment 40 Vladimir Potapov 2016-07-15 12:54:19 MSD
(In reply to comment #39)
> (In reply to comment #37)
> > 1) Нужно добавить в зависимости f2fs-tools и перенести его в main
> > 2) В всплывающем меню акций светится "USB Format". Должно быть
> > "Форматирование USB"
> 
> Advisory: "Update quick-usb-formatter to new version 0.6. Add support for
> Plasma 5 (device actions)"
> 
> https://abf.rosalinux.ru/build_lists/2692443
> https://abf.rosalinux.ru/build_lists/2692444
**********************************************
QA Verified
Comment 41 VictorR2007 2016-07-15 18:42:27 MSD
(In reply to comment #10)
> Как залочить экран? Значка нигде нету.

Правой кнопкой мыши по экрану.
В контекстном меню кнопка «Заблокировать экран».
Comment 42 Vladimir Potapov 2016-07-15 19:20:49 MSD
Тестирую образ https://abf.rosalinux.ru/platforms/rosa2014.1/products/137/product_build_lists/15631
Comment 43 Vladimir Potapov 2016-07-15 19:21:10 MSD
quick-usb-format забыли добавить
Comment 44 Vladimir Potapov 2016-07-16 13:53:33 MSD
Еще из мелкого
На вставку аудиодисков никак не реагирует
Акции от k3b тоже надо бы конвертануть в формат plasma5
Comment 45 Vladimir Potapov 2016-07-16 17:47:12 MSD
Created attachment 4507 [details]
ss5

Из крупного. Плазма жестко глючит на проприетарных драйверах после выхода из ждущего режима. Смена OpenGL, XRender не помогает. На свободных все ОК.
Баг описан много где (например https://bugs.kde.org/show_bug.cgi?id=349210) но везде он проявляется и на четвертой плазме, у нас же такого никогда не было.
Comment 46 Vladimir Potapov 2016-07-16 17:57:41 MSD
Также при переходе на проприетарные драйвера сбиваются настройки управления питанием - по клавише выключения начинает выключаться, а не уходить в ждущий.
При перенастройке все опять начинает работать
Comment 47 Andrey Bondrov 2016-07-17 18:04:49 MSD
(In reply to comment #44)
> Еще из мелкого
> На вставку аудиодисков никак не реагирует
> Акции от k3b тоже надо бы конвертануть в формат plasma5

k3b скоро выйдет для Plasma 5 нативный, смысла в старый добавлять хаки нет. Это же всё-таки тестовый релиз ещё для нас, чтобы вообще видеть картину и работать с апстримам по найденным проблемам.
Comment 48 Vladimir Potapov 2016-07-18 10:05:56 MSD
пробую в mate поставить плазму, благо у всех SDDM (пользователи часто такое пытаются делать)

urpmi task-plasma5
Не удаётся установить следующие пакеты, т.к. они зависят от пакетов,
более старых, чем установленные:
gstreamer1.0-plugins-bad-1.6.3-1plf
phonon4qt5-gstreamer-4.9.0-1
task-plasma5-minimal-5.6-8
task-plasma5-5.6-8
Comment 49 Andrey Bondrov 2016-07-18 10:31:10 MSD
(In reply to comment #48)
> пробую в mate поставить плазму, благо у всех SDDM (пользователи часто такое
> пытаются делать)
> 
> urpmi task-plasma5
> Не удаётся установить следующие пакеты, т.к. они зависят от пакетов,
> более старых, чем установленные:
> gstreamer1.0-plugins-bad-1.6.3-1plf
> phonon4qt5-gstreamer-4.9.0-1
> task-plasma5-minimal-5.6-8
> task-plasma5-5.6-8

Тут без --debug не понять, с чего так.
Comment 50 Vladimir Potapov 2016-07-18 10:37:48 MSD
Created attachment 4508 [details]
log
Comment 51 Andrey Bondrov 2016-07-18 11:11:38 MSD
(In reply to comment #48)
> пробую в mate поставить плазму, благо у всех SDDM (пользователи часто такое
> пытаются делать)
> 
> urpmi task-plasma5
> Не удаётся установить следующие пакеты, т.к. они зависят от пакетов,
> более старых, чем установленные:
> gstreamer1.0-plugins-bad-1.6.3-1plf
> phonon4qt5-gstreamer-4.9.0-1
> task-plasma5-minimal-5.6-8
> task-plasma5-5.6-8

Похоже, это что-то на уровне urpmi. Попробую собрать образы с MATE так, чтобы там сразу был gstreamer1.0, всё равно он сейчас много где нужен.

А что насчёт grub2 с патчами для XFS - публикуем его? В образах с Plasma 5 он из контейнера у нас используется сейчас.
Comment 52 Vladimir Potapov 2016-07-18 13:46:51 MSD
(In reply to comment #51)
бы там сразу был gstreamer1.0, всё равно он сейчас много где нужен.
> 
> А что насчёт grub2 с патчами для XFS - публикуем его? В образах с Plasma 5
> он из контейнера у нас используется сейчас.
Да, у меня с ним все нормально ставится.
Comment 53 Vladimir Potapov 2016-07-18 14:16:04 MSD
(In reply to comment #45)
> Created attachment 4507 [details]
> ss5
> 
> Из крупного. Плазма жестко глючит на проприетарных драйверах после выхода из
> ждущего режима. Смена OpenGL, XRender не помогает. На свободных все ОК.
> Баг описан много где (например https://bugs.kde.org/show_bug.cgi?id=349210)
> но везде он проявляется и на четвертой плазме, у нас же такого никогда не
> было.
Сделал отдельный баг.
http://bugs.rosalinux.ru/show_bug.cgi?id=7227
Comment 54 Vladimir Potapov 2016-07-18 15:20:59 MSD
Всплывающая подсказка к значку обновлений в трее гордо и загадочно для непосвященных возвещает: "mdkapplet"
Comment 55 Andrey Bondrov 2016-07-19 16:04:52 MSD
NetworkManager:

Advisory: "Change default mtu from 0 to 1492 for ppp connections"

https://abf.rosalinux.ru/build_lists/2692635
https://abf.rosalinux.ru/build_lists/2692636
Comment 56 Vladimir Potapov 2016-07-19 20:45:18 MSD
(In reply to comment #55)
> NetworkManager:
> 
> Advisory: "Change default mtu from 0 to 1492 for ppp connections"
> 
> https://abf.rosalinux.ru/build_lists/2692635
> https://abf.rosalinux.ru/build_lists/2692636

**************************************************
QA Verified
Comment 57 Vladimir Potapov 2016-07-21 16:22:33 MSD
Образ ROSA.FRESH.PLASMA.R8.15613 (обе архитектуры)
1) Если в live завершить сеанс, оформление SDDM будет от MATE. В Заставках ее нету, видимо идет под шифром "нет" который там присутствует
2) В трех из пяти установок после первой перезагрузки рабочий стол рушился и переключался на виджет "Рабочий стол по-умолчанию"
3) Если в инсталляторе отключить самбу, то она все равно стартует, правда без nmb который падает при старте. Если не отключать - все нормально.
Comment 58 Andrey Bondrov 2016-07-21 16:29:19 MSD
(In reply to comment #57)
> Образ ROSA.FRESH.PLASMA.R8.15613 (обе архитектуры)
> 1) Если в live завершить сеанс, оформление SDDM будет от MATE. В Заставках
> ее нету, видимо идет под шифром "нет" который там присутствует

Будет дефолтное для SDDM, т.к. для Plasma 5 оформление пост-установочным скриптом ставится. А сделать его таким для SDDM по дефолту тоже не очень хорошо будет, т.к. это оформление тянет достаточно большой кусок KDE. 

Может потом придумаю, как это для Live обойти.

> 2) В трех из пяти установок после первой перезагрузки рабочий стол рушился и
> переключался на виджет "Рабочий стол по-умолчанию"

Тут вряд ли что-то сделаем. Разве что отложим релиз, чтобы обновить Plasma до 5.7.1.

> 3) Если в инсталляторе отключить самбу, то она все равно стартует, правда
> без nmb который падает при старте. Если не отключать - все нормально.

Вот это уже интересно. Для KDE4-образов надо будет обязательно исправить. Для Plasma 5 не критично, мы его всё равно рекомендуем только энтузиастам на "посмотреть и использовать на свой страх и риск".
Comment 59 VictorR2007 2016-07-21 16:45:20 MSD
> Тут вряд ли что-то сделаем. Разве что отложим релиз, чтобы обновить Plasma
> до 5.7.1.
> 
Почему до 5.7.1, ведь 5.7.2 опубликовали позавчера?
Если будете собирать, предупредите.
Скину исправления для отсутствующего перевода.
Comment 60 Andrey Bondrov 2016-07-21 17:15:23 MSD
(In reply to comment #59)
> > Тут вряд ли что-то сделаем. Разве что отложим релиз, чтобы обновить Plasma
> > до 5.7.1.
> > 
> Почему до 5.7.1, ведь 5.7.2 опубликовали позавчера?

А, ну это я пропустил релиз просто :-)

> Если будете собирать, предупредите.
> Скину исправления для отсутствующего перевода.

Было бы очень кстати скинуть мне все патчи (перевод, размер значков в трее и т.д.).
Comment 61 Vladimir Potapov 2016-07-21 17:18:08 MSD
Если при копировании больших файлов нажать на остановку, потом ни опять запустить копирование, ни прервать нельзя  - процесс вешается.
Comment 62 VictorR2007 2016-07-21 18:16:05 MSD
(In reply to comment #60)
> (In reply to comment #59)
> 
> Было бы очень кстати скинуть мне все патчи (перевод, размер значков в трее и
> т.д.).
Сделаю в течении суток.
Мне сейчас немного некогда.
А нужно проверить все файлы, так как это не для локальной сборки.
Если нужно быстрее, то скажите.
Тогда отложу другие дела и сделаю за пару - тройку часов.
Comment 63 Andrey Bondrov 2016-07-21 18:33:29 MSD
(In reply to comment #62)
> (In reply to comment #60)
> > (In reply to comment #59)
> > 
> > Было бы очень кстати скинуть мне все патчи (перевод, размер значков в трее и
> > т.д.).
> Сделаю в течении суток.
> Мне сейчас немного некогда.
> А нужно проверить все файлы, так как это не для локальной сборки.
> Если нужно быстрее, то скажите.
> Тогда отложу другие дела и сделаю за пару - тройку часов.

Очень важно было бы сделать настолько быстро, насколько получится. Уже начал собирать Plasma 5.7.2 в свой тестовый репозиторий. Как соберу всё, хочу тестовые образы с 5.7.2 собрать сразу.
Comment 64 VictorR2007 2016-07-21 19:01:37 MSD
(In reply to comment #63)
> (In reply to comment #62)
> > (In reply to comment #60)
> > > (In reply to comment #59)
> > > 
> > > Было бы очень кстати скинуть мне все патчи (перевод, размер значков в трее и
> > > т.д.).
> > Сделаю в течении суток.
> > Мне сейчас немного некогда.
> > А нужно проверить все файлы, так как это не для локальной сборки.
> > Если нужно быстрее, то скажите.
> > Тогда отложу другие дела и сделаю за пару - тройку часов.
> 
> Очень важно было бы сделать настолько быстро, насколько получится. Уже начал
> собирать Plasma 5.7.2 в свой тестовый репозиторий. Как соберу всё, хочу
> тестовые образы с 5.7.2 собрать сразу.

Хорошо.
По мере готовности отправляяю вам на почту.
Comment 65 VictorR2007 2016-07-22 11:17:45 MSD
Неплохо бы добавить перевод к dolphin.
Делал файл к версии из гит, из ветки «мастер»,
но он подходит и к версии 16.04.3
https://abf.rosalinux.ru/victorr2007/kde5-l10n
Comment 66 VictorR2007 2016-07-22 11:29:30 MSD
Очень недостаёт пакета plasma5-ffmpegthumbs для отображения миниатюр
https://abf.rosalinux.ru/victorr2007/plasma5-ffmpegthumbs
Так же для полноценной работы нужно бы добавить plasma5-kdiff3
https://abf.rosalinux.ru/victorr2007/plasma5-kdiff3
и ещё plasma5-rootactions-servicemenu
https://abf.rosalinux.ru/victorr2007/plasma5-rootactions-servicemenu
Хотя бы в kde5_backports_personal.
Comment 67 Andrey Bondrov 2016-07-24 09:16:36 MSD
(In reply to comment #65)
> Неплохо бы добавить перевод к dolphin.
> Делал файл к версии из гит, из ветки «мастер»,
> но он подходит и к версии 16.04.3
> https://abf.rosalinux.ru/victorr2007/kde5-l10n

Переводы лучше через апстрим все править, которые в составе kde5-l10n идут. Очень неудобно иначе поддерживать. Для R8 100% локализация ещё не так принципиальна, а вот для R9 надо будет очень плотно с ней поработать.
Comment 68 Andrey Bondrov 2016-07-24 09:18:24 MSD
(In reply to comment #66)
> Очень недостаёт пакета plasma5-ffmpegthumbs для отображения миниатюр
> https://abf.rosalinux.ru/victorr2007/plasma5-ffmpegthumbs

Да, plasma5-ffmpegthumbs определённо нужен. Добавил его в task-plasma5 и в состав пакетов образа.

Остальное сейчас не слишком важно, это уже в TODO на будущее.
Comment 69 VictorR2007 2016-07-24 14:05:13 MSD
(In reply to comment #68)
> (In reply to comment #66)
> 
> Остальное сейчас не слишком важно, это уже в TODO на будущее.

Скорее всего plasma5-rootactions-servicemenu
вообще не будет нужен.
Сегодня собрал версию из гит
https://abf.rosalinux.ru/victorr2007/plasma5-rootactions-servicemenu
На первый взгляд, предназначена для обоих версий KDE.
На plasma5 работает идеально, в отличии от предыдущей моей сборки.
Там не работала пара функций
Сейчас установлю Росу с KDE4 и проверю, как работает на KDE4.
Если так же идеально, тогда можно будет просто обновить существующий пакет
без изменения имени пакета.
Если конечно вы не против.
Приложение находится в contrib.
Comment 70 VictorR2007 2016-07-24 15:30:15 MSD
(In reply to comment #69)
> (In reply to comment #68)
> > (In reply to comment #66)
> > 
> > Остальное сейчас не слишком важно, это уже в TODO на будущее.
> 
> Скорее всего plasma5-rootactions-servicemenu
> вообще не будет нужен.
Да, уже не нужен.
Обновил пакет.
Прекрасно отрабатывает все возможные в нём функции на
обоих рабочих окружениях.
Comment 71 Andrey Bondrov 2016-07-25 16:37:40 MSD
Advisory: "Adjust Plasma Shell components loading order to fix crash on fist login"

https://abf.rosalinux.ru/build_lists/2693321
https://abf.rosalinux.ru/build_lists/2693322
Comment 72 Vladimir Potapov 2016-07-25 18:20:38 MSD
(In reply to comment #71)
> Advisory: "Adjust Plasma Shell components loading order to fix crash on fist
> login"
> 
> https://abf.rosalinux.ru/build_lists/2693321
> https://abf.rosalinux.ru/build_lists/2693322
***********************************************
QA Verified
Comment 73 Vladimir Potapov 2016-07-26 17:47:00 MSD
Итоговые образы

https://abf.rosalinux.ru/platforms/rosa2014.1/products/137/product_build_lists/15746

******************************
QA Verified